package cn.com.qmth.stmms.common.enums;

public enum ProblemType {
    FUZZY("试卷模糊", 0), MISPLACED("答错位置", 1), UNIDENTIFIED("无法判别", 2);

    private String name;

    private int value;

    private ProblemType(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }

    public static ProblemType findByValue(int value) {
        for (ProblemType c : ProblemType.values()) {
            if (c.getValue() == value) {
                return c;
            }
        }
        return null;
    }
}
